Bug 120242 - New Port: editors/dkns
Summary: New Port: editors/dkns
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thomas Abthorpe
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-02-03 18:40 UTC by jimmy
Modified: 2008-02-04 15:20 UTC (History)
0 users

See Also:


Attachments
dkns.shar (1.79 KB, text/plain)
2008-02-03 18:40 UTC, jimmy
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description jimmy 2008-02-03 18:40:01 UTC

    
Comment 1 Edwin Groothuis freebsd_committer 2008-02-03 18:40:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tabthorpe

tabthorpe@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 jimmy 2008-02-03 18:53:27 UTC
Forgot RUN_DEPENDS:

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	dkns
#	dkns/Makefile
#	dkns/distinfo
#	dkns/pkg-descr
#
echo c - dkns
mkdir -p dkns > /dev/null 2>&1
echo x - dkns/Makefile
sed 's/^X//' >dkns/Makefile << 'END-of-dkns/Makefile'
X# New ports collection makefile for:  drood
X# Date created:                       Sun, 03 Feb 2008 23:06:00 EST
X# Whom:                               James Bailie <jimmy@mammothcheese.ca>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	dkns
XPORTVERSION=	1.74
XCATEGORIES=	editors
XMASTER_SITES=	http://www.mammothcheese.ca/
X
XMAINTAINER=	jimmy@mammothcheese.ca
XCOMMENT=	Simple console text editor.
X
XRUN_DEPENDS=	munger:${PORTSDIR}/lang/munger
XMAN1=		dkns.1
XMANCOMPRESSED=	yes
X
XPLIST_FILES=	bin/dkns
X
X.include <bsd.port.mk>
END-of-dkns/Makefile
echo x - dkns/distinfo
sed 's/^X//' >dkns/distinfo << 'END-of-dkns/distinfo'
XMD5 (dkns-1.74.tar.gz) = 60d2a8d2a71beea82769774a9fec10bd
XSHA256 (dkns-1.74.tar.gz) = 7abb78f721065a2d18cce9a6021cdff1e834cc70259cdd0d0a4bbfd1d4c486db
XSIZE (dkns-1.74.tar.gz) = 33740
END-of-dkns/distinfo
echo x - dkns/pkg-descr
sed 's/^X//' >dkns/pkg-descr << 'END-of-dkns/pkg-descr'
XDickens is a simple, one-buffer-in-one-window, console text editor.
X
XDickens only understands UNIX-style text files expressed in ASCII, and is
Xtherefore of little or no use to the non-English-speaking world.
X
XDickens is written in Munger(1).  Features include interactive filename
Xcompletion, tags support, regular-expression search-and-replace, and
Xunlimited undo/redo.
X
XWWW: http://www.mammothcheese.ca/munger.html
X
X--
XJames Bailie <jimmy@mammothcheese.ca>
Xhttp://www.mammothcheese.ca
END-of-dkns/pkg-descr
exit
Comment 3 dfilter service freebsd_committer 2008-02-04 15:17:15 UTC
tabthorpe    2008-02-04 15:17:03 UTC

  FreeBSD ports repository

  Modified files:
    editors              Makefile 
  Added files:
    editors/dkns         Makefile distinfo pkg-descr 
  Log:
  Dickens is a simple, one-buffer-in-one-window, console text editor.
  
  Dickens only understands UNIX-style text files expressed in ASCII, and is
  therefore of little or no use to the non-English-speaking world.
  
  Dickens is written in Munger(1).  Features include interactive filename
  completion, tags support, regular-expression search-and-replace, and
  unlimited undo/redo.
  
  WWW: http://www.mammothcheese.ca/munger.html
  
  --
  James Bailie <jimmy@mammothcheese.ca>
  http://www.mammothcheese.ca
  
  PR:             ports/120242
  Submitted by:   James Bailie <jimmy at mammothcheese.ca>
  
  Revision  Changes    Path
  1.389     +1 -0      ports/editors/Makefile
  1.1       +22 -0     ports/editors/dkns/Makefile (new)
  1.1       +3 -0      ports/editors/dkns/distinfo (new)
  1.1       +14 -0     ports/editors/dkns/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Thomas Abthorpe freebsd_committer 2008-02-04 15:17:45 UTC
State Changed
From-To: open->closed

New port added. Thanks!